Bug 403601 - Missing dependency on python-setuptools (pkg_resources)
Summary: Missing dependency on python-setuptools (pkg_resources)
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-pygments   
(Show other bugs)
Version: 8
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Steve Milner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-11-28 22:44 UTC by Ben Webb
Modified: 2007-12-20 19:52 UTC (History)
0 users

Fixed In Version: 0.9-2.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-20 19:52:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ben Webb 2007-11-28 22:44:13 UTC
Description of problem:

Cannot run 'pygmentize': it complains
ImportError: No module named pkg_resources


Version-Release number of selected component (if applicable):
python-pygments-0.9-1.fc8


How reproducible:
Always.

Steps to Reproduce:
1. # yum install python-pygments
2. # rpm -e python-setuptools
3. # pygmentize
  
Actual results:
# pygmentize
Traceback (most recent call last):
  File "/usr/bin/pygmentize", line 5, in <module>
    from pkg_resources import load_entry_point
ImportError: No module named pkg_resources



Expected results:
pygmentize reports its usage.


Additional info:
Installing the python-setuptools package fixes the problem, so this is probably
just a missing Depends: in the pygments specfile.

Comment 1 Steve Milner 2007-11-29 14:15:49 UTC
Thank you for the report ben. I have added this as a dep in devel and F-8. I
will put the request for a push to testing. If you would, please verify that
with this change that this issue is fixed. I will update this ticket once it's
been pushed to F-8 testing.

Comment 2 Fedora Update System 2007-12-03 11:42:46 UTC
python-pygments-0.9-2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-pygments'

Comment 3 Steve Milner 2007-12-03 13:37:50 UTC
Ben, please let me know if this works as expected for you.

Comment 4 Ben Webb 2007-12-04 01:54:06 UTC
Sure thing - I'll give it a try.

Comment 5 Steve Milner 2007-12-09 16:21:51 UTC
Hey Ben,

Any word?

Comment 6 Fedora Update System 2007-12-20 19:52:37 UTC
python-pygments-0.9-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.